gdcm::network::ServiceClassApplicationInformation Class Reference

`#include <gdcmServiceClassApplicationInformation.h>`

## Public Member Functions

| ServiceClassApplicationInformation ()
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetTuple (uint8_t levelofsupport, uint8_t levelofdigitalsig, uint8_t elementcoercion)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

PS 3.4 Table B.3-1 SERVICE-CLASS-APPLICATION-INFORMATION (A-ASSOCIATE-RQ)

## Constructor & Destructor Documentation

## ServiceClassApplicationInformation()

gdcm::network::ServiceClassApplicationInformation::ServiceClassApplicationInformation | ( |  | ) |

## Member Function Documentation

## Print()

void gdcm::network::ServiceClassApplicationInformation::Print | ( | std::ostream & | os | ) | const

## Read()

std::istream & gdcm::network::ServiceClassApplicationInformation::Read | ( | std::istream & | is | ) |

## SetTuple()

void gdcm::network::ServiceClassApplicationInformation::SetTuple | ( | uint8_t | levelofsupport,
|  | uint8_t | levelofdigitalsig,
|  | uint8_t | elementcoercion )

## Size()

size_t gdcm::network::ServiceClassApplicationInformation::Size | ( |  | ) | const

## Write()

const std::ostream & gdcm::network::ServiceClassApplicationInformation::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmServiceClassApplicationInformation.h